package com.cool.store.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 业务模块枚举
 *
 * @author system
 */
@Getter
@AllArgsConstructor
public enum BusinessModuleEnum {
    WALLET_ALLOCATION_CONFIG("WALLET_ALLOCATION_CONFIG", "分账配置"),
    PAYEE_BANK_CONFIG("PAYEE_BANK_CONFIG", "收款银行配置"),
    FEE_STANDARD_CONFIG("FEE_STANDARD_CONFIG", "加盟费用标准收费额配置"),
    ;

    private final String code;
    private final String desc;

    public static BusinessModuleEnum getByCode(String code) {
        for (BusinessModuleEnum e : BusinessModuleEnum.values()) {
            if (e.getCode().equals(code)) {
                return e;
            }
        }
        return null;
    }
}

